Bug 817851 - [abrt] NetworkManager-gnome-0.9.4-3.git20120403.fc16: Process /usr/bin/nm-applet was killed by signal 5 (SIGTRAP)
Summary: [abrt] NetworkManager-gnome-0.9.4-3.git20120403.fc16: Process /usr/bin/nm-app...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus-glib
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8f87b03aa97547c950e2cc5808e...
: 826706 830585 841978 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-01 15:07 UTC by David R. Fischer
Modified: 2013-02-02 15:44 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-24 23:33:52 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (7.79 KB, text/plain)
2012-05-01 15:07 UTC, David R. Fischer
no flags Details
File: maps (37.03 KB, text/plain)
2012-05-01 15:07 UTC, David R. Fischer
no flags Details
File: backtrace (30.03 KB, text/plain)
2012-05-01 15:07 UTC, David R. Fischer
no flags Details
xsession errors (15.71 KB, text/plain)
2012-07-14 04:06 UTC, collura
no flags Details
var log messages (123.83 KB, text/plain)
2012-07-14 04:28 UTC, collura
no flags Details
yum history that last seemed to work (139 bytes, text/plain)
2012-07-19 00:02 UTC, collura
no flags Details
yum history of updates that seemed to cause the nm-applet death issue for me (148 bytes, text/plain)
2012-07-19 00:06 UTC, collura
no flags Details
last updates that seemed to work but were near fail time (4.39 KB, text/plain)
2012-07-19 02:06 UTC, collura
no flags Details
yum history of updates that seemed to cause the nm-applet fail issue for me (2.66 KB, text/plain)
2012-07-19 02:09 UTC, collura
no flags Details
.xsession-errors after dbus-glib-0.98-2.fc16 (3.39 KB, text/plain)
2012-07-21 08:09 UTC, Markus Mayer
no flags Details

Description David R. Fischer 2012-05-01 15:07:23 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        nm-applet
crash_function: dbus_g_connection_register_g_object
executable:     /usr/bin/nm-applet
kernel:         3.3.2-6.fc16.x86_64
pid:            1956
pwd:            /home/dafischer
reason:         Process /usr/bin/nm-applet was killed by signal 5 (SIGTRAP)
time:           Tue 01 May 2012 08:05:43 AM MST
uid:            1000
username:       dafischer

backtrace:      Text file, 30755 bytes
dso_list:       Text file, 7976 bytes
maps:           Text file, 37915 bytes

build_ids:
:fc578202b7f1d3f5e8b6ac70cd2834260d1c42d1
:f510c341140968027ab8e45c51403a644ace5efc
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:07470201df55a5254027d05fa4dc509b10f2986a
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:edebfad67bdac472272d049dc7ec302f47b02f32
:638db099ff5fb986d1a092629d1bb1dca5be4904
:6788b943089846e98f7dc9cdb5dca63924909b25
:aaf62304b0fc10611d35b4f56005479d4c58868d
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:f9fea7527e0deebd694acc251008975312a3f74a
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:400444fb368f79b54959b083f449a1497bf71c13
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:c3cc06ceb6e1a99743164a9db770a23d5a68dd47
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:124bfd663f5587288e6e0da8497fb4153469e657
:f4bab099ee7a4c5d4277ebdddc715d8162bf1e11
:9ea81971c14b711655ced0a734db062ab7c4eec7
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:fdff2d98463ddd6e8c3883936e12070b2d039e58
:f0d50e3af2dfee021a327fb85a993a2312a98145
:2a7df6dc20821a8e109c2cb56e1fdf4465043e99
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:be507c791e34415e8f42f0e6030c889b2895cf9a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:c6739204320eb15bdcdba039a2b183298170403e
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:17f981cb9dbb88e65022c2d49ef5f939da321833
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:39294193f046cf15442542705526228c60d70a6e
:61aea344c391d8ca2c072b40c36b74bc28711038
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:aa733447f84020c94a66814e501a36e248cbb43d
:a638ccc3535e307dfbe8338df04ee414b42a606c
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:040f78c63e49df93936f710287bdc74ae83111c0
:e60ae8062b44e0d758b5f92c8f9958a06236179b
:0406dc93e5d067b98e166932201a6df7dde67888
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:bc302db2238265cd2cef7542f443fbf3305353ca
:75eaece6e0d1e075520cdfad5c398fdab4370846
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:87af0ff2815bf41b5c5889b916881c662ddd2569
:020b9d50676331bd01991c6e9d8d71683bdc3550
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:12fdc5a85e732c3f5e8b57d5d2901f36654c88ff
:719a85c49c612de86619fed98146f316432aee92
:bbb7c497ff14faf6e1a51da91e884427f670517f
:fd3d8a9d61a457b2f860bd4382b231a23cd1f4f3
:20e57e75d5566ba8d0fd5fb3a767bd5bf32900bc
:368c3cee84c23ec196abdf632219adea6bc31f4f
:616cdfde72c06f8e55b7ac23849c334e7d767bdb
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:984f117c0514d018adfbf8296f77ae333cd80640
:4953d1f613914126bccceb3cb96386647ffba9df
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:8c49577fba3c97a9de9331b5245737f6250e831c
:1406558950ff100eb0320a325b3ea7961ba1a775
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:173282de38c7ca33995f72883900ffb4eb762715

environ:
:XDG_VTNR=1
:MANPATH=:/usr/X11/man:/usr/local/man:/usr/man:/usr/local/samba/man
:SSH_AGENT_PID=1881
:XDG_SESSION_ID=2
:HOSTNAME=d-scf-00529719.corp.ebay.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=63126948398f922092d2297b00000009-1335798802.939872-1973046388
:GNOME_KEYRING_CONTROL=/tmp/keyring-b9Bdu9
:IMSETTINGS_MODULE=none
:USER=dafischer
:LD_LIBRARY_PATH=/usr/lib/oracle/10.2.0.4/client64/lib:
:SSH_AUTH_SOCK=/tmp/keyring-b9Bdu9/ssh
:USERNAME=dafischer
:MAIL=/var/spool/mail/dafischer
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/bin:/etc:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin:/usr/X11/bin:/home/dafischer:/home/dafischer/bin:/usr/games:/Users/dafischer/OracleClient/bin:/home/dafischer/bin:
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dafischer
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1707
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/dafischer
:XDG_SEAT=seat0
:SHLVL=1
:'MAILPATH=/var/mail/dafischer?Hey new mail'
:BASH_ENV=/home/dafischer/.bashrc
:PYTHONPATH=/home/dafischer/Libraries/python
:LOGNAME=dafischer
:CVS_RSH=ssh
:CLASSPATH=:.
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-T2Ccu2MWVl,guid=99d4c3c9f7b2dd7cf2c60d7a00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dafischer
:DISPLAY=:0
:ORACLE_HOME=/usr/lib/oracle/10.2.0.4/client64/
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dafischer-KtKZLG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1712,unix/unix:/tmp/.ICE-unix/1712
:GPG_AGENT_INFO=/tmp/keyring-b9Bdu9/gpg:0:1
:DESKTOP_AUTOSTART_ID=10d45b934f73be3bec133579880780827700000017120007

var_log_messages:
:May  1 08:05:43 d-scf-00529719 kernel: [85841.241998] nm-applet[1956] trap int3 ip:3ae664d313 sp:7fff7402c3f0 error:0
:May  1 08:05:43 d-scf-00529719 abrt[23858]: File '/usr/bin/nm-applet' seems to be deleted
:May  1 08:05:43 d-scf-00529719 abrt[23858]: Saved core dump of pid 1956 (/usr/bin/nm-applet) to /var/spool/abrt/ccpp-2012-05-01-08:05:43-1956 (22052864 bytes)

Comment 1 David R. Fischer 2012-05-01 15:07:27 UTC
Created attachment 581412 [details]
File: dso_list

Comment 2 David R. Fischer 2012-05-01 15:07:29 UTC
Created attachment 581413 [details]
File: maps

Comment 3 David R. Fischer 2012-05-01 15:07:30 UTC
Created attachment 581414 [details]
File: backtrace

Comment 4 Dan Williams 2012-05-01 21:47:56 UTC
(notes...)

clearly the agent object is not yet registered (registrations == NULL) but yet dbus_connection_register_object_path() fails.  The only reason I can think of is that the DBusConnection is no longer valid?

David: if you get this again, can you grab the ~/.xsession-errors as well?  That might have some relevant log messages in it.

Comment 5 Simo Sorce 2012-06-11 17:44:48 UTC
I've seent his as well.

The network applet isn;t showing at login anymore since this morning.
So I did a systemctl restart NetworkManager.service

abrt came up with the same error about nm-client being killed by SIGTRAP

still the applet didn't come up so I run again systemctl restart NetworkManager.service this time the gnome-shell was killed, again abrt came up telling gnome-shell was sent a SIGTRAP, but after gnome-shell restart now I have the nm applet and network works.

Here my .xsession-errors
---------
gnome-session[2163]: WARNING: Could not parse desktop file /home/simo/.config/autostart/qstart.desktop: No such file or directory
gnome-session[2163]: WARNING: could not read /home/simo/.config/autostart/qstart.desktop
GNOME_KEYRING_CONTROL=/tmp/keyring-15F45m
GPG_AGENT_INFO=/tmp/keyring-15F45m/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-15F45m
GPG_AGENT_INFO=/tmp/keyring-15F45m/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-15F45m
GPG_AGENT_INFO=/tmp/keyring-15F45m/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-15F45m
GPG_AGENT_INFO=/tmp/keyring-15F45m/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-15F45m/ssh
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
abrt-applet: glib < 2.31 - init threading
Gtk-Message: Failed to load module "pk-gtk-module"
Failed to play sound: File or data not found
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Initializing nautilus-gdu extension
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"

** (nm-applet:2401): WARNING **: Could not initialize NMClient /org/freedesktop/NetworkManager: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist

** Message: applet now removed from the notification area

** (nm-applet:2401): WARNING **: fetch_connections_done: error fetching connections: (19) Method "ListConnections" with signature "" on interface "org.freedesktop.NetworkManager.Settings" doesn't exist
.

** (nm-applet:2401): WARNING **: Failed to register as an agent: (19) Method "Register" with signature "s" on interface "org.freedesktop.NetworkManager.AgentManager" doesn't exist

Window manager warning: Log level 16: Could not initialize NMClient /org/freedesktop/NetworkManager: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist

(gnome-shell:2379): folks-DEBUG: individual-aggregator.vala:310: Setting primary store IDs to defaults.
(gnome-shell:2379): folks-DEBUG: individual-aggregator.vala:338: Primary store IDs are 'eds' and 'system'.
    JS ERROR: !!!   WARNING: 'assignment to undeclared variable removeTopBar'
    JS ERROR: !!!   WARNING: file '/usr/share/gnome-shell/extensions/icon-manager@krajniak.info/extension.js' line 88 exception 0 number 156
    JS ERROR: !!!   WARNING: 'assignment to undeclared variable iconManager'
    JS ERROR: !!!   WARNING: file '/usr/share/gnome-shell/extensions/icon-manager@krajniak.info/extension.js' line 94 exception 0 number 156
      JS LOG: GNOME Shell started at Mon Jun 11 2012 13:15:25 GMT-0400 (EDT)
failed to create drawable
** Message: applet now embedded in the notification area
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x120008c (Restore Se)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Log level 16: fetch_connections_done: error fetching connections: (19) Method "ListConnections" with signature "" on interface "org.freedesktop.NetworkManager.Settings" doesn't exist
.
Window manager warning: Log level 16: _nm_remote_settings_ensure_inited: (NMRemoteSettings) error initializing: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist


      JS LOG: NetworkManager is not running, hiding...
** Message: Starting applet secret agent because GNOME Shell disappeared

** (nm-applet:2401): WARNING **: Failed to register as an agent: (19) Method "Register" with signature "s" on interface "org.freedesktop.NetworkManager.AgentManager" doesn't exist

** (deja-dup-monitor:2396): DEBUG: monitor.vala:221: Automatic backups disabled.  Not scheduling a backup.

** ERROR **: Failed to register GObject with DBusConnection
      JS LOG: Removing an access point that was never added
      JS LOG: Removing an access point that was never added
Window manager warning: Log level 16: gsignal.c:2412: instance `0x3c11a00' has no handler with id `7232'
Window manager warning: Log level 16: gsignal.c:2412: instance `0x3c11a00' has no handler with id `7230'
Window manager warning: Log level 16: gsignal.c:2412: instance `0x3c11a00' has no handler with id `7231'
Window manager warning: Log level 8: dbus_g_connection_unregister_g_object: assertion `registrations != NULL' failed
      JS LOG: NetworkManager is not running, hiding...
Window manager warning: Log level 6: Failed to register GObject with DBusConnection
gnome-shell-calendar-server[2534]: Got HUP on stdin - exiting
gnome-session[2163]: WARNING: Application 'gnome-shell.desktop' killed by signal
Gtk-Message: Failed to load module "pk-gtk-module"
(gnome-shell:4437): folks-DEBUG: individual-aggregator.vala:310: Setting primary store IDs to defaults.
(gnome-shell:4437): folks-DEBUG: individual-aggregator.vala:338: Primary store IDs are 'eds' and 'system'.
    JS ERROR: !!!   WARNING: 'assignment to undeclared variable removeTopBar'
    JS ERROR: !!!   WARNING: file '/usr/share/gnome-shell/extensions/icon-manager@krajniak.info/extension.js' line 88 exception 0 number 156
    JS ERROR: !!!   WARNING: 'assignment to undeclared variable iconManager'
    JS ERROR: !!!   WARNING: file '/usr/share/gnome-shell/extensions/icon-manager@krajniak.info/extension.js' line 94 exception 0 number 156
      JS LOG: GNOME Shell started at Mon Jun 11 2012 13:19:14 GMT-0400 (EDT)
** (deja-dup-monitor:2396): DEBUG: monitor.vala:221: Automatic backups disabled.  Not scheduling a backup.
Window manager warning: Log level 8: meta_window_change_workspace: assertion `!window->override_redirect' failed
Window manager warning: Log level 16: Could not create object for /org/freedesktop/NetworkManager/IP6Config/23: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00003 (Virtual Ma)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
NOTE: child process received `Goodbye', closing down
      JS LOG: Removing an access point that was never added
      JS LOG: Removing an access point that was never added
      JS LOG: Removing an access point that was never added
      JS LOG: Removing an access point that was never added
(null) get context on /home/simo/.xsession-errors.swx failed: 'No such file or directory'
      JS LOG: Removing an access point that was never added

Comment 6 Szabo Akos 2012-06-23 08:26:36 UTC
Come back from suspend, and nm-applet disappeared too.

backtrace_rating: 4
Package: NetworkManager-gnome-0.9.4-6.git20120521.fc16
OS Release: Fedora release 16 (Verne)

Comment 7 Markus Mayer 2012-07-02 07:13:38 UTC
Got the same error like David.

Logging in->Xorg restart->No NM-Applet

sysctl restart NetworkManager.service works.


Logs and backtraces are equal
NetworkManager-gnome-0.9.4-6.git20120521.fc16

Comment 8 Jirka Klimes 2012-07-10 12:02:07 UTC
As Dan wrote in comment #4, there is a problem with registering an object path with D-Bus.
It could be a problem in libnm-glib, dbus-glib or even dbus. There've been several fixes in recent dbus(-glib) upstream releases and also better debugging prints.

So, it would be useful if somebody having the issue could install test packages
I prepared:
dbus:      http://koji.fedoraproject.org/koji/taskinfo?taskID=4229962
dbus-glib: http://koji.fedoraproject.org/koji/taskinfo?taskID=4229942

And report if the crash still happens. And if so, provide the backtrace and/or logs (/var/log/messages, ~/.xsession-errors).

Comment 9 Jirka Klimes 2012-07-10 12:02:46 UTC
*** Bug 830585 has been marked as a duplicate of this bug. ***

Comment 10 Jirka Klimes 2012-07-10 12:04:39 UTC
*** Bug 826706 has been marked as a duplicate of this bug. ***

Comment 11 Szabo Akos 2012-07-10 23:02:17 UTC
(In reply to comment #8)
> So, it would be useful if somebody having the issue could install test
> packages
> I prepared:
> dbus:      http://koji.fedoraproject.org/koji/taskinfo?taskID=4229962
> dbus-glib: http://koji.fedoraproject.org/koji/taskinfo?taskID=4229942
> 
> And report if the crash still happens. And if so, provide the backtrace
> and/or logs (/var/log/messages, ~/.xsession-errors).

I've just upgraded dbus-glib-0.100-1test.fc16.x86_64.rpm dbus-glib-devel-0.100-1test.fc16.x86_64.rpm, and everything seems to be fine! (I don't upgrade the dbus packages).
And disappeared the https://bugzilla.redhat.com/show_bug.cgi?id=766198 and https://bugzilla.redhat.com/show_bug.cgi?id=787501 bugs too!

Can You provide a link for avahi testing package? It is needed for dbus dependecies

Ps: It was only a first try restart to work, after the second reboot, the problem is persist, but the NetworkManager restart is not killing nm-applet.

Comment 12 Marek Marczykowski 2012-07-11 01:07:05 UTC
I have exactly the same issue on Fedora 17. And upgrading to dbus-glib-0.100-1test (linked above) fixes it. So perhaps this bug should be tagged also for Fedora 17...

Comment 13 collura 2012-07-14 00:45:38 UTC
normal system use after rebooting after running some updates from update gui



backtrace_rating: 4
Package: NetworkManager-gnome-0.9.4-6.git20120521.fc16
OS Release: Fedora release 16 (Verne)

Comment 14 collura 2012-07-14 02:40:01 UTC
tried the dbus packages from comment#8

network connection still seems to die after about an hour.
('roams to none') and nm-applet tanks at login to gnomeshell 
(unrelated: and gnomeshell login process seems to take a dump while logging in the first time as it seems to be arguing with sendmail starup)

need to read logfiles a bit more but looks something _roughly_ like 

  .xsession-errors:
    nm-applet 1942 warning could not initialize NMClient  
    /org/freedestop/NetworkManager: method "GetAll" with signal 's'
    on interface "org.freedesktop.DBus.Properties" doesnt exist.

  messages:
    dbus-daemon: dbus: system failed to activate service
    'org.freedesktop.systemd1': timeout

    dbus-daemon: $processid_of_dbus : arguments to 
    dbus_message_set_reply_serial() were incorrect
    assertion 'reply_serial != 0' failed
    in file dbus-message.c line 1010

Comment 15 collura 2012-07-14 04:06:10 UTC
Created attachment 598204 [details]
xsession errors

Comment 16 collura 2012-07-14 04:28:07 UTC
Created attachment 598205 [details]
var log messages

logs were with 

NetworkManager-1:0.9.4-6.git20120521.fc16.x86_64
NetworkManager-glib-1:0.9.4-6.git20120521.fc16.x86_64
NetworkManager-gnome-1:0.9.4-6.git20120521.fc16.x86_64
NetworkManager-gtk-1:0.9.4-6.git20120521.fc16.x86_64
NetworkManager-openconnect-0.9.4.0-7.git20120612.fc16.x86_64
openconnect-lib-compat-4.04-1.fc16.x86_64
dbus-1:1.4.20-1test.fc16.x86_64
dbus-glib-0.100-1test.fc16.x86_64
dbus-libs-1:1.4.20-1test.fc16.x86_64
dbus-x11-1:1.4.20-1test.fc16.x86_64

Comment 17 collura 2012-07-14 05:49:50 UTC
hmm something seems to have improved 
because at some point in the last hour or so 
i have gotten the nm-applet back in my toolbar for the
first time since loosing it yesterday after installing updates!

when i first installed the test dbus packages from comment#8
today i dont recall having the nm-applet back 

though the test packaged did put back the network interfaces into the system-settings-network list (and remove the corresponding 'The system network services are not compatible with this version' error :') ) so was not just
the proxy entry in the list.

maybe whatever random command sequence that aided the dbus test packages
to give back my nm-applet will now give me more than an hour of network time between restarting network service lol. 

thanks for the improvement :')

Comment 18 Szabo Akos 2012-07-14 08:18:17 UTC
It's working right to me, after relabeling /selinux/ the system in boot, and using testing dbus-glib (FC16). It's alive after reboot, boot, suspend, and hibernate.

Thank You!

Comment 19 collura 2012-07-16 01:13:10 UTC
ran across instances of these errors in abrt log.

before comment#8 packages installed:
  https://bugzilla.redhat.com/show_bug.cgi?id=718418#c33

after comment#8 packages installed:
  https://bugzilla.redhat.com/show_bug.cgi?id=702884#c3

(network definitely improved but still occasional connection loss that requires a network service restart though been many many hours since needed one :.) )

Comment 20 collura 2012-07-16 01:13:54 UTC
hmm might add had to restart service while filing this report lol

Comment 21 David Duncan 2012-07-16 03:48:10 UTC
Issue has not returned after latest updates.

Comment 22 Jirka Klimes 2012-07-17 07:44:45 UTC
Colin, would you package dbus-glib 0.100 for F16 and F17? Also dbus 1.4.20 would be helpfull.
I'm neither a co-maintainer nor provenpackager.

Comment 23 Colin Walters 2012-07-17 15:17:09 UTC
(In reply to comment #22)
> Colin, would you package dbus-glib 0.100 for F16 and F17? Also dbus 1.4.20
> would be helpfull.
> I'm neither a co-maintainer nor provenpackager.

Hmm...What changed that we now need to update it for existing releases?

Comment 24 collura 2012-07-19 00:02:46 UTC
Created attachment 599020 [details]
yum history that last seemed to work

Comment 25 collura 2012-07-19 00:06:08 UTC
Created attachment 599021 [details]
yum history of updates that seemed to cause the nm-applet death issue for me

Comment 26 collura 2012-07-19 02:06:31 UTC
Created attachment 599033 [details]
last updates that seemed to work but were near fail time

Comment 27 collura 2012-07-19 02:09:13 UTC
Created attachment 599036 [details]
yum history of updates that seemed to cause the nm-applet fail issue for me

Comment 28 Dan Williams 2012-07-19 17:40:21 UTC
(In reply to comment #27)
> Created attachment 599036 [details]
> yum history of updates that seemed to cause the nm-applet fail issue for me

nm-applet should only ever show up when GNOME Shell isn't running.  And it appears that GNOME shell is failing due to errors with an extension you're running:

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/slickswitcher/switch.py", line 57, in workspace_changed
    self.emitted()
  File "/usr/share/avant-window-navigator/applets/slickswitcher/switch.py", line 52, in emitted
    func()
  File "/usr/share/avant-window-navigator/applets/slickswitcher/drawing.py", line 103, in update
    num_columns = self.switch.get_num_columns()
  File "/usr/share/avant-window-navigator/applets/slickswitcher/switch.py", line 66, in get_num_columns
    workspace_width = current_workspace.get_width()
AttributeError: 'NoneType' object has no attribute 'get_width'

Basically, if you're running GNOME Shell, nm-applet is not necessary.

Comment 29 Dan Williams 2012-07-19 17:55:31 UTC
It appears that dbus-glib earlier than 0.94 had some problems with object registration, that 0.94 and later fixed.  These newer versions also provide better error reporting that would enable us to fix these issues more easily.

But F16 is still on dbus-glib 0.92, so I believe the solution here is to issue an updated dbus-glib for F16.  F17 should not be affected by the original reporter's specific problem.

Comment 30 Fedora Update System 2012-07-19 20:35:51 UTC
dbus-glib-0.98-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dbus-glib-0.98-2.fc16

Comment 31 Colin Walters 2012-07-19 20:36:36 UTC
^ please test.

Comment 32 Colin Walters 2012-07-19 20:42:27 UTC
I can confirm that this update makes:

while true; do sleep 1; systemctl restart NetworkManager.service; done

work.

Comment 33 Fedora Update System 2012-07-20 01:55:09 UTC
Package dbus-glib-0.98-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dbus-glib-0.98-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10882/dbus-glib-0.98-2.fc16
then log in and leave karma (feedback).

Comment 34 Fedora Update System 2012-07-20 19:20:26 UTC
dbus-glib-0.98-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dbus-glib-0.98-2.fc17

Comment 35 Markus Mayer 2012-07-21 08:09:34 UTC
Created attachment 599499 [details]
.xsession-errors after dbus-glib-0.98-2.fc16

updating to dbus-glib-0.98-2.fc16 does not help for me. I have attached my .xsession-error after updating to dbus-glib-0.98-2.fc16

Comment 36 Fedora Update System 2012-07-24 23:33:52 UTC
dbus-glib-0.98-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2012-07-26 03:56:02 UTC
dbus-glib-0.98-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Jirka Klimes 2012-07-26 09:54:08 UTC
*** Bug 841978 has been marked as a duplicate of this bug. ***

Comment 39 Samuel Sieb 2012-08-27 23:13:53 UTC
This doesn't seem to be fixed in F16.  I have a laptop that is fully updated and includes these updates, but still has the same problem.  The gnome-shell network icon doesn't show up and there are still the dbus errors in the log.  Restarting NetworkManager doesn't make any difference.  The network is working for already existing connections, which I think is an improvement, but there is no way to interact with it.

Comment 40 Jirka Klimes 2012-08-28 09:01:47 UTC
Samuel, would you check that you have dbus-glib-0.98-2 installed?
Please, include /var/log/messages when you encounter the error.

Comment 41 Samuel Sieb 2012-08-28 17:17:05 UTC
dbus-glib-0.98-2.fc16.i686

Lots of copies of the following pair of lines in /var/log/messages:
NetworkManager[996]: dbus_g_proxy_begin_call: assertion `!DBUS_G_PROXY_DESTROYED (proxy)' failed
NetworkManager[996]: nm_supplicant_info_set_call: assertion `call != NULL' failed

Comment 42 Phil Clayton 2012-09-02 13:50:10 UTC
I'm still seeing an issue in F16 with latest packages.  I note that when I use startx there's no issue, but if I use 'systemctl isolate graphical.target', the NM applet doesn't appear after graphical login.  In the latter case, after 'systemctl restart NetworkManager.service', the NM applet appears to work except that the options 'Enable Networking' and 'Enable Wireless' on the right-click menu are disabled.

Comment 43 Carlo de Wolf 2012-09-19 08:46:35 UTC
The relevant bit I found in messages appears to be:

Sep 19 10:18:56 palantir dbus[1041]: [system] Failed to activate service 'org.freedesktop.ColorManager': timed out
Sep 19 10:18:56 palantir dbus-daemon[1041]: dbus[1041]: [system] Failed to activate service 'org.freedesktop.ColorManager': timed out
Sep 19 10:18:56 palantir dbus[1041]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
Sep 19 10:18:56 palantir dbus-daemon[1041]: dbus[1041]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
Sep 19 10:18:56 palantir dbus-daemon[1041]: process 1041: arguments to dbus_message_set_reply_serial() were incorrect, assertion "reply_serial != 0" failed in file dbus-message.c line 1009.
Sep 19 10:18:56 palantir dbus-daemon[1041]: This is normally a bug in some application using the D-Bus library.
Sep 19 10:18:56 palantir dbus-daemon[1041]: D-Bus not built with -rdynamic so unable to print a backtrace
Sep 19 10:18:56 palantir avahi-daemon[996]: Disconnected from D-Bus, exiting.
Sep 19 10:18:56 palantir avahi-daemon[996]: Got SIGTERM, quitting.
Sep 19 10:18:56 palantir systemd[1]: systemd-logind.service: main process exited, code=exited, status=1
Sep 19 10:18:56 palantir NetworkManager[988]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
Sep 19 10:18:56 palantir NetworkManager[988]: <warn> disconnected by the system bus.

Comment 44 EMR_Fedora 2012-09-20 01:22:47 UTC
I am having a similar issue, where I have to restart NetworkManager via systemd every time I login otherwise my wireless connection doesn't work. I have tried putting a restart in rc.local to no avail (in fact, it fails completely to start networking if I do so).

When I boot, I cannot login by going straight into init 5 (graphical.target) systemd for some reason hangs starting up. So I login to init 3, and login to console as root, and issue the command to go a graphical target (I just type init 5) and that seems to work.

Every once in a while I receive (right after logging in from kdm) a ConsoleKit error with dbus: Sep 19 20:22:02 ePaq kdm: :0[1266]: Cannot open ConsoleKit session: Unable to open session: Connection was 
disconnected before a reply was received

I am using the standard dbus for Fedora 16: 
dbusmenu-qt-0.8.2-2.fc16.x86_64
dbus-devel-1.4.10-3.fc16.x86_64
dbus-cxx-glibmm-devel-0.7.0-2.fc14.1.x86_64
dbus-cxx-0.7.0-2.fc14.1.x86_64
dbus-cxx-doc-0.7.0-2.fc14.1.noarch
dbus-libs-1.4.10-3.fc16.i686
eggdbus-0.6-2.fc13.x86_64
python-slip-dbus-0.2.20-1.fc16.noarch
dbus-libs-1.4.10-3.fc16.x86_64
dbus-x11-1.4.10-3.fc16.x86_64
dbus-cxx-tools-0.7.0-2.fc14.1.x86_64
dbus-python-0.83.0-8.fc15.x86_64
dbus-1.4.10-3.fc16.x86_64
dbus-glib-0.98-2.fc16.x86_64
dbusmenu-qt-0.8.2-2.fc16.i686
dbus-cxx-devel-0.7.0-2.fc14.1.x86_64
dbus-cxx-glibmm-0.7.0-2.fc14.1.x86_64
dbus-glib-devel-0.98-2.fc16.x86_64

Comment 45 Andre Klapper 2012-10-14 17:03:28 UTC
I face the same problems as in comment 42 and comment 44, and abrt states that the g-s-d crash is bug 787501. I'll comment other there.

Comment 46 Tim Wegener 2013-02-02 15:44:09 UTC
(In reply to comment #43)
> The relevant bit I found in messages appears to be:
> 
> Sep 19 10:18:56 palantir dbus[1041]: [system] Failed to activate service
> 'org.freedesktop.ColorManager': timed out
> Sep 19 10:18:56 palantir dbus-daemon[1041]: dbus[1041]: [system] Failed to
> activate service 'org.freedesktop.ColorManager': timed out
> Sep 19 10:18:56 palantir dbus[1041]: [system] Failed to activate service
> 'org.freedesktop.systemd1': timed out
> Sep 19 10:18:56 palantir dbus-daemon[1041]: dbus[1041]: [system] Failed to
> activate service 'org.freedesktop.systemd1': timed out
> Sep 19 10:18:56 palantir dbus-daemon[1041]: process 1041: arguments to
> dbus_message_set_reply_serial() were incorrect, assertion "reply_serial !=
> 0" failed in file dbus-message.c line 1009.
...


See Bug 855227 and https://bugs.freedesktop.org/show_bug.cgi?id=50199

Try downgrading colord to colord-0.1.12-1 ('yum downgrade colord') and rebooting.


Note You need to log in before you can comment on or make changes to this bug.